import request from '@/utils/request'

// 查询员工入流程审批记录列表
export function listPersonnelApproval(query) {
  return request({
    url: '/clocking/personnelApproval/list',
    method: 'get',
    params: query
  })
}

// 查询员工入流程审批记录详细
export function getPersonnelApproval(id) {
  return request({
    url: '/clocking/personnelApproval/' + id,
    method: 'get'
  })
}

// 新增员工入流程审批记录
export function addPersonnelApproval(data) {
  return request({
    url: '/clocking/personnelApproval',
    method: 'post',
    data: data
  })
}

// 修改员工入流程审批记录
export function updatePersonnelApproval(data) {
  return request({
    url: '/clocking/personnelApproval',
    method: 'put',
    data: data
  })
}

// 删除员工入流程审批记录
export function delPersonnelApproval(id) {
  return request({
    url: '/clocking/personnelApproval/' + id,
    method: 'delete'
  })
}

// 导出员工入流程审批记录
export function exportPersonnelApproval(query) {
  return request({
    url: '/clocking/personnelApproval/export',
    method: 'get',
    params: query
  })
}